メイン コンテンツにスキップ

このブラウザーはサポートされなくなりました。

Microsoft Edge にアップグレードすると、最新の機能、セキュリティ更新プログラム、およびテクニカル サポートを利用できます。

Microsoft Edge をダウンロードする Internet Explorer と Microsoft Edge の詳細情報
microsoft-foundry.rest.security.o-auth2-auth

Insights

Generate insights

POST /insights

Generates an insights report from the provided evaluation configuration.

ヘッダー パラメーター

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview
Repeatability-Request-ID string

Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.

Repeatability-First-Sent string

Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.

クエリ パラメーター

api-version string 必須

The API version to use for this operation.

要求本文

Complete evaluation configuration including data source, evaluators, and result settings

Content-Type: application/json
id string 必須

The unique identifier for the insights report.

metadata InsightsMetadata 必須

Metadata about the insights.

createdAt string 必須

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必須

Enum describing allowed operation states.

次のいずれか:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必須

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必須

The request of the insights report.

次のいずれか:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必須

The type of insights request.

EvaluationRunClusterInsight
evalId string 必須

Evaluation Id for the insights.

runIds string[] 必須

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必須

The type of request.

AgentClusterInsight
agentName string 必須

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必須

The type of request.

EvaluationComparison
evalId string 必須

Identifier for the evaluation.

baselineRunId string 必須

The baseline run ID for comparison.

treatmentRunIds string[] 必須

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

次のいずれか:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必須

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必須

Comparison results for each treatment run against the baseline.

method string 必須

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必須

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必須

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

応答

The request has succeeded and a new resource has been created as a result.

本文

Content-Type: application/json
id string 必須

The unique identifier for the insights report.

metadata InsightsMetadata 必須

Metadata about the insights.

createdAt string 必須

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必須

Enum describing allowed operation states.

次のいずれか:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必須

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必須

The request of the insights report.

次のいずれか:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必須

The type of insights request.

EvaluationRunClusterInsight
evalId string 必須

Evaluation Id for the insights.

runIds string[] 必須

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必須

The type of request.

AgentClusterInsight
agentName string 必須

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必須

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必須

The type of request.

EvaluationComparison
evalId string 必須

Identifier for the evaluation.

baselineRunId string 必須

The baseline run ID for comparison.

treatmentRunIds string[] 必須

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

次のいずれか:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必須

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必須

Comparison results for each treatment run against the baseline.

method string 必須

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必須

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必須

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必須

Insights from the cluster analysis.

summary InsightSummary 必須

Summary of the error cluster analysis.

sampleCount integer 必須

Total number of samples analyzed.

uniqueSubclusterCount integer 必須

Total number of unique subcluster labels.

uniqueClusterCount integer 必須

Total number of unique clusters.

method string 必須

Method used for clustering.

usage ClusterTokenUsage 必須

Token usage for cluster analysis

inputTokenUsage integer 必須

input token usage

outputTokenUsage integer 必須

output token usage

totalTokenUsage integer 必須

total token usage

clusters InsightCluster[] 必須

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必須

X-axis coordinate.

y integer 必須

Y-axis coordinate.

size integer 必須

Size of the chart element.

Client error

本文

Content-Type: application/json
error OpenAI.Error 必須
code string | null 必須
message string 必須
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
次のいずれか:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必須

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

本文

Content-Type: application/json
error OpenAI.Error 必須
code string | null 必須
message string 必須
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
次のいずれか:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必須

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

要求

POST /insights HTTP/1.1

回答

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ja-jp
プライバシーの選択
  • AI 免責事項
  • 以前のバージョン
  • ブログ
  • 投稿
  • プライバシー
  • コンシューマーの健康に関するプライバシー
  • 利用条件
  • 商標
  • © Microsoft 2026